#
# spec file for package cdemu-client
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cdemu-client
Version:        2.1.0
Release:        6.1
Summary:        Command-line client to control cdemu-daemon
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://cdemu.sf.net/

#Freecode-URL:	https://freecode.com/projects/cdemu-for-linux
#Git-Clone:	git://git.code.sf.net/p/cdemu/code
Source:         http://downloads.sf.net/cdemu/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake >= 2.8.5
%if 0%{?suse_version}
BuildRequires:  gettext-tools >= 0.15
%else
BuildRequires:  gettext >= 0.15
%endif
BuildRequires:  intltool >= 0.21
BuildRequires:  python >= 2.6
BuildArch:      noarch
Requires:       dbus-1-python
Requires:       python >= 2.6

%description
cdemu-client is a command-line client for controlling cdemu-daemon.

It provides a way to perform the key tasks related to controlling the
CDEmu daemon, such as loading and unloading devices, displaying
devices' status and retrieving/setting their debug masks.

%prep
%setup -q
mv po/no.po po/nb_NO.po;

%build
cmake . -DCMAKE_INSTALL_PREFIX:PATH="%_prefix" \
	-DCMAKE_INSTALL_LIBDIR:PATH="%_libdir";
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";
%find_lang cdemu

%files -f cdemu.lang
%defattr(-,root,root)
%doc README
%dir %_sysconfdir/bash_completion.d
%config %_sysconfdir/bash_completion.d/cdemu-client
%_bindir/cdemu
%_datadir/applications/cdemu-client.desktop
%_mandir/man1/cdemu.1*

%changelog
* Mon Jun 10 2013 jengelh@inai.de
- Update to new upstream release 2.1.0
  * Added support for device addition/removal
* Sat Dec 22 2012 jengelh@inai.de
- Update to new upstream release 2.0.0 (up from 1.5.0)
  * Support for ISZ, CSO, DMG, GBI, ECM, gzip and xz formats
  * Partial support for 1-track MDX
- Remove cdemu-lang.diff, no longer applies
* Wed Dec 19 2012 jengelh@inai.de
- Add Freecode URL
* Wed May  9 2012 jengelh@inai.de
- Initial package for build.opensuse.org
